# Get Crypto Currencies GET https://api-stg.transak.com/ledger/v1/crypto-currencies Fetch the list of supported cryptocurrencies mapped to Ledger-compatible IDs. These identifiers align with Ledger conventions and are intended to be used with the capabilities, quote, and sell APIs. Reference: https://docs.transak.com/api/ledger-off-ramp/get-crypto-currencies ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: ledger-off-ramp-api version: 1.0.0 paths: /crypto-currencies: get: operationId: get-crypto-currencies summary: Get Crypto Currencies description: >- Fetch the list of supported cryptocurrencies mapped to Ledger-compatible IDs. These identifiers align with Ledger conventions and are intended to be used with the capabilities, quote, and sell APIs. tags: - '' parameters: - name: x-api-key in: header description: Transak API key available from the Transak Dashboard. required: true schema: type: string responses: '200': description: Supported crypto currencies fetched successfully. content: application/json: schema: type: array items: type: string '400': description: Missing or invalid request. content: application/json: schema: $ref: '#/components/schemas/ErrorResponse' '500': description: Internal server error. content: application/json: schema: $ref: '#/components/schemas/ErrorResponse' servers: - url: https://api-stg.transak.com/ledger/v1 - url: https://api.transak.com/ledger/v1 components: schemas: ErrorResponseError: type: object properties: messageKey: type: string message: type: string required: - messageKey - message title: ErrorResponseError ErrorResponse: type: object properties: error: $ref: '#/components/schemas/ErrorResponseError' required: - error title: ErrorResponse securitySchemes: ApiKeyAuth: type: apiKey in: header name: x-api-key description: Transak API key available from the Transak Dashboard. ``` ## SDK Code Examples ```python success import requests url = "https://api-stg.transak.com/ledger/v1/crypto-currencies" headers = {"x-api-key": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript success const url = 'https://api-stg.transak.com/ledger/v1/crypto-currencies'; const options = {method: 'GET', headers: {'x-api-key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-stg.transak.com/ledger/v1/crypto-currencies" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby success require 'uri' require 'net/http' url = URI("https://api-stg.transak.com/ledger/v1/crypto-currencies") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' response = http.request(request) puts response.read_body ``` ```java success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-stg.transak.com/ledger/v1/crypto-currencies") .header("x-api-key", "") .asString(); ``` ```php success request('GET', 'https://api-stg.transak.com/ledger/v1/crypto-currencies', [ 'headers' => [ 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp success using RestSharp; var client = new RestClient("https://api-stg.transak.com/ledger/v1/crypto-currencies"); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); IRestResponse response = client.Execute(request); ``` ```swift success import Foundation let headers = ["x-api-key": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api-stg.transak.com/ledger/v1/crypto-currencies")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```